require 'addressable/template'
require 'forwardable'

require 'facile/api/http_methods'
require 'facile/api/request_methods'
require 'facile/api/forward_methods'

module Facile::Api
  def self.included(base)
    base.extend(::Facile::Api::HttpMethods)
    base.extend(::Facile::Api::RequestMethods)
    base.extend(::Facile::Api::ForwardMethods)
  end
end
